summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Andrew Clemons <andrew.clemons@gmail.com>2020-05-23 08:17:43 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2020-05-23 08:17:43 +0700
commit7835ffe1b2c561aec76485978c0da49ddeb859b2 (patch)
tree9a5a3d223adff997dec2e765423bcf03d9cfcfec /system
parent90f756af8addd432d7148b0e4ba2c3410c51ef17 (diff)
downloadslackbuilds-7835ffe1b2c561aec76485978c0da49ddeb859b2.tar.gz
slackbuilds-7835ffe1b2c561aec76485978c0da49ddeb859b2.tar.xz
system/slack-osquery: Added (osquery extensions for slackware).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/slack-osquery/README11
-rw-r--r--system/slack-osquery/slack-desc19
-rw-r--r--system/slack-osquery/slack-osquery.SlackBuild120
-rw-r--r--system/slack-osquery/slack-osquery.info26
4 files changed, 176 insertions, 0 deletions
diff --git a/system/slack-osquery/README b/system/slack-osquery/README
new file mode 100644
index 0000000000..0b825b4c5c
--- /dev/null
+++ b/system/slack-osquery/README
@@ -0,0 +1,11 @@
+slack-osquery - osquery extensions for Slackware
+
+This extension provides extra tables for osquery on slackware.
+
+After installation, you will need to configure osquery to load your extension:
+https://osquery.readthedocs.io/en/stable/deployment/extensions/
+
+The extension currently exposes the package database through a table called
+slackware_packages.
+
+NOTE: google-go-lang is only needed at compile time - not at runtime.
diff --git a/system/slack-osquery/slack-desc b/system/slack-osquery/slack-desc
new file mode 100644
index 0000000000..9c484c4c96
--- /dev/null
+++ b/system/slack-osquery/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+slack-osquery: slack-osquery (osquery extensions for slackware)
+slack-osquery:
+slack-osquery: osquery extensions for slackware
+slack-osquery:
+slack-osquery: https://github.com/aclemons/slack-osquery
+slack-osquery:
+slack-osquery:
+slack-osquery:
+slack-osquery:
+slack-osquery:
+slack-osquery:
diff --git a/system/slack-osquery/slack-osquery.SlackBuild b/system/slack-osquery/slack-osquery.SlackBuild
new file mode 100644
index 0000000000..d8ec7d4871
--- /dev/null
+++ b/system/slack-osquery/slack-osquery.SlackBuild
@@ -0,0 +1,120 @@
+#!/bin/sh
+
+# Slackware build script for slack-osquery
+
+# Copyright 2020 Andrew Clemons, Wellington New Zealand
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=slack-osquery
+VERSION=${VERSION:-1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+
+mkdir -p vendor/github.com
+
+for DEPENDENCY in Microsoft/go-winio/0.4.9 \
+ apache/thrift/0.12.0 \
+ davecgh/go-spew/1.1.0 \
+ kolide/osquery-go/a74aa860032dacda9b8304c6565efcb9d80dfaa9 \
+ pkg/errors/0.8.0 \
+ pmezard/go-difflib/1.0.0 \
+ stretchr/testify/1.2.2 ; do
+ DEPENDENCY_OWNER="$(echo "$DEPENDENCY" | cut -d/ -f1)"
+ DEPENDENCY_NAME="$(echo "$DEPENDENCY" | cut -d/ -f2)"
+ DEPENDENCY_REV="$(echo "$DEPENDENCY" | cut -d/ -f3)"
+
+ mkdir -p "vendor/github.com/$DEPENDENCY_OWNER"
+
+ tar xf "$CWD/$DEPENDENCY_NAME-$DEPENDENCY_REV.tar.gz"
+ mv "$DEPENDENCY_NAME-$DEPENDENCY_REV" "vendor/github.com/$DEPENDENCY_OWNER/$DEPENDENCY_NAME"
+done
+
+mkdir -p vendor/golang.org/x
+for DEPENDENCY in sys/14742f9018cd6651ec7364dc6ee08af0baaa1031 ; do
+ DEPENDENCY_NAME="$(echo "$DEPENDENCY" | cut -d/ -f1)"
+ DEPENDENCY_REV="$(echo "$DEPENDENCY" | cut -d/ -f2)"
+
+ tar xf "$CWD/$DEPENDENCY_NAME-$DEPENDENCY_REV.tar.gz"
+ mv "$DEPENDENCY_NAME-$DEPENDENCY_REV" "vendor/golang.org/x/$DEPENDENCY_NAME"
+done
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+go build -a -mod=vendor -o target/slackware.ext
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/osquery/extensions
+
+install -m 0700 target/slackware.ext $PKG/usr/lib${LIBDIRSUFFIX}/osquery/extensions/slackware.ext
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/slack-osquery/slack-osquery.info b/system/slack-osquery/slack-osquery.info
new file mode 100644
index 0000000000..21b713f5f6
--- /dev/null
+++ b/system/slack-osquery/slack-osquery.info
@@ -0,0 +1,26 @@
+PRGNAM="slack-osquery"
+VERSION="1.0"
+HOMEPAGE="https://github.com/aclemosn/slack-osquery"
+DOWNLOAD="https://github.com/aclemons/slack-osquery/archive/v1.0/slack-osquery-1.0.tar.gz \
+ https://github.com/Microsoft/go-winio/archive/v0.4.9/go-winio-0.4.9.tar.gz \
+ https://github.com/apache/thrift/archive/v0.12.0/thrift-0.12.0.tar.gz \
+ https://github.com/davecgh/go-spew/archive/v1.1.0/go-spew-1.1.0.tar.gz \
+ https://github.com/kolide/osquery-go/archive/a74aa860032dacda9b8304c6565efcb9d80dfaa9/osquery-go-a74aa860032dacda9b8304c6565efcb9d80dfaa9.tar.gz \
+ https://github.com/pkg/errors/archive/v0.8.0/errors-0.8.0.tar.gz \
+ https://github.com/pmezard/go-difflib/archive/v1.0.0/go-difflib-1.0.0.tar.gz \
+ https://github.com/stretchr/testify/archive/v1.2.2/testify-1.2.2.tar.gz \
+ https://github.com/golang/sys/archive/14742f9018cd6651ec7364dc6ee08af0baaa1031/sys-14742f9018cd6651ec7364dc6ee08af0baaa1031.tar.gz"
+MD5SUM="6f9cdd4f0f8e2d5e5a41568f1c80eb7e \
+ 8696fc61920c07d8591b5f5c6920cf82 \
+ ff9af01fec424b5a279fa8a3c9e95c0c \
+ 89875fb674e0ea72a189e5048186206c \
+ c11f2cbf425ccf11292e0caaf9619a69 \
+ 8072f1b5f0f97a9167caff82f812edeb \
+ 56e81fe945d04771dcb79964ce958a5f \
+ cae3d38d807581cd78da0a9dc6b0eb70 \
+ e854fa1c61cb6d71bf9feb71b3f97f97"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="google-go-lang"
+MAINTAINER="Andrew Clemons"
+EMAIL="andrew.clemons@gmail.com"